Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Class JRPrintImageAreaHyperlink

    java.lang.Object
      net.sf.jasperreports.engine.JRPrintImageAreaHyperlink

All Implemented Interfaces:
  java.io.Serializable

    public class JRPrintImageAreaHyperlink

extends java.lang.Object
implements java.io.Serializable

A component of an image map.

Version:
  $Id: JRPrintImageAreaHyperlink.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  `JRImageMapRenderer`, Serialized Form

Constructor Summary
`JRPrintImageAreaHyperlink()` Creates a blank image area.
`JRPrintImageAreaHyperlink(JRPrintImageArea area, JRPrintHyperlink hyperlink)` Creates an image area by specifying its attributes.

Method Summary
`JRPrintImageArea` | `getArea()` Returns the area of the image map component.
`JRPrintHyperlink` | `getHyperlink()` Returns the hyperlink information of the image map component.
`void` | `setArea(JRPrintImageArea area)` Sets the area of the image map component.
`void` | `setHyperlink(JRPrintHyperlink hyperlink)` Sets the hyperlink information of the image map component.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRPrintImageAreaHyperlink

    public JRPrintImageAreaHyperlink()

  Creates a blank image area.

### JRPrintImageAreaHyperlink

    public JRPrintImageAreaHyperlink(JRPrintImageArea area,
                                     JRPrintHyperlink hyperlink)

  Creates an image area by specifying its attributes.

  Parameters:
    `area` - the area
    `hyperlink` - the hyperlink information

Method Detail

### getArea

    public JRPrintImageArea getArea()

  Returns the area of the image map component.

  Returns:
    the area of the image map component

### setArea

    public void setArea(JRPrintImageArea area)

  Sets the area of the image map component.

  Parameters:
    `area` - the area

### getHyperlink

    public JRPrintHyperlink getHyperlink()

  Returns the hyperlink information of the image map component.

  Returns:
    the hyperlink information of the image map component

### setHyperlink

    public void setHyperlink(JRPrintHyperlink hyperlink)

  Sets the hyperlink information of the image map component.

  Parameters:
    `hyperlink` - the hyperlink information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com